package com.docus.server.report.api;

import com.docus.infrastructure.web.api.CommonResult;
import com.docus.server.report.api.dto.ReportDownTwoDto;

/**
 * 无视图任务服务
 *
 * @author wyb
 */

public interface TaskDistributeService {


    /**
     * 无视图-根据采集器类型获取任务信息
     *
     * @param collectorId 采集器类型
     * @return 任务信息
     */
    ReportDownTwoDto getNoViewTaskByCollectorId(String collectorId);

     CommonResult<String> cancel(Long taskId);
}
