package com.docus.server.report.config;

import lombok.Getter;
import lombok.Setter;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * 应用业务配置
 * @author wyb
 */
@Component
@Getter
@Setter
public class ApplicationBusinessConfig {
    @Value("${docus.report.downurl:}")
    private String downUrl;
    @Value("${docus.task.getTaskUrl:}")
    private String getTaskUrl;
    @Value("${docus.task.taskCancelUrl:}")
    private String getTaskCancelUrl;
}
