package com.docus.server.report.api.dto;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class ReportDownDto {
    @ApiModelProperty(value = "采集器id")
    private String collectorid;

    @ApiModelProperty(value = "采集器ip")
    private String ip;

    @ApiModelProperty(value = "分类id")
    private String assortid;

    @ApiModelProperty(value = "患者信息")
    private ReportDownPatientDto patient;

    @ApiModelProperty(value = "文件信息")
    private List<ReportDownScanFileDto> scanfiles;

    @ApiModelProperty(value = "扫描用户代码")
    private String scanusercode;
    @ApiModelProperty(value = "扫描用户名称")
    private String scanusername;
}